Bug 19203 - New mysql packages breaks php with apache
Summary: New mysql packages breaks php with apache
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-16 20:42 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 15:49:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-16 20:42:03 UTC
After updating to the new mysql packages to mysql-3.23.24-1 I found that 
no sql database connection was possible. Investigation proved that the 
issue is as follows:

The mysql-3.23.24-1 sql packages uses a version 10 protocol (mysql 
protocol) and the original release version uses the version 9 protocol.

This results in a protocol mismatch error from mysql when a connection is 
attempted using apache with the php-4.0.1pl2-9 modules. 

Resolution:
after installing the mysql-3.23.24-1 package and all necessary devel 
packages, I got the php-4.0.1pl2-9 source package (installation of this 
package will tell about needed devel packages) and recompiled it with the 
new mysql libraries installed. The resulting package then had the correct 
version 10 protocol. 
After installing the recompiled mod_php and php-mysql packages and 
restarting the apache server everything went back to normal.

Comment 1 Arenas Belon, Carlo Marcelo 2000-10-17 13:21:03 UTC
actually, taking that php-4.0.1pl2-9 is broken (see bug 18965), i guess un
upgrade to php-4.0.3pl1 would be necessary (linked with the latest mysql
package)

Comment 2 Nalin Dahyabhai 2000-10-24 19:35:23 UTC
The PHP errata we put out yesterday was built using the new MySQL libraries.


Note You need to log in before you can comment on or make changes to this bug.